%define packname mAr

Summary:	 R module to evaluate functions for multivariate AutoRegressive analysis
Name:		 R-%{packname}
Version:	 1.1
Release:	 2%{?dist}
License:	 GPL version 2 or newer
Group:		 Applications/Engineering
Source0:	 ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
Source1:	 COPYING
URL:		 http://cran.r-project.org/contrib
Requires:	 R
BuildRequires:	 R, tetex-latex
BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
R package:
An R add-on package for estimation of multivariate AR models through a
computationally-efficient stepwise least-squares algorithm (Neumaier
and Schneider, 2001); the procedure is of particular interest for
high-dimensional data without missing values such as geophysical
fields.

%prep
%setup -q -n %{packname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}

cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}


%changelog
* Thu Oct  6 2005 José Matos <jamatos@localhost.localdomain> - 1.1-2
- Add check section, add tetex-latex to BulidRequires, and remove docs as they are packaged already.

* Sun Aug 21 2005 José Matos <jamatos@fc.up.pt> - 1.1-1
- Prepare for FE inclusion.
